<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title></title>
  <script src="js/hls/hls.js"></script>

  <style>
    .container {
        margin-left: 0;
        margin-right: auto;
        max-width: 640px;
    }

    video {
        width: 100%;
    }
  </style>
</head>
<body>
<div class="container">
    <video id="video" controls autoplay="" preload=""></video>

<div class="center demo-tab" id="qualityLevelControlTab" style="">
<center>
<table>
<tbody><tr>
<td>
<p>Currently played level:</p>
</td>
<td>
<div id="currentLevelControl" style="display: inline;">
<button type="button" id="-1" onclick="hls.currentLevel=-1;hls.autoLevelCapping=-1;hls.startLoad(startPosition=-1);">auto</button>
<button type="button" id="0"  onclick="hls.startLevel=0;hls.autoLevelCapping=0;hls.currentLevel=0;hls.startLoad(startPosition=-1);">0 (576p)</button>
<button type="button" id="1"  onclick="hls.startLevel=1;hls.autoLevelCapping=1;hls.currentLevel=1;hls.startLoad(startPosition=-1);">1 (720p)</button>
<button type="button" id="2"  onclick="hls.startLevel=2;hls.autoLevelCapping=2;hls.currentLevel=2;hls.startLoad(startPosition=-1);">2 (1080p)</button>
</div>
</td>
</tr>
</tbody></table>
</center>
</div>
</div>

<script>
var video = document.getElementById('video');
//var videoSrc = 'https://test-streams.mux.dev/x36xhzz/x36xhzz.m3u8';
//var videoSrc = 'data/bbb/bbb_30fps_1024x576_2500k.m3u8';
var videoSrc = 'data/bbb/bbb_30fps.m3u8';
if (Hls.isSupported()) {
  // autoStartLoad = false; don't prefetch, but this means we need to
  // add an event listener for when the user clicks on the Play button
  var hls = new Hls({autoStartLoad: false});

  hls.loadSource(videoSrc);
  hls.attachMedia(video);

  //hls.on(Hls.Events.MANIFEST_PARSED, function() {
  //  video.play();
  //});

} else {
  // if HLS is not supported, don't do anything.
  console.log("HLS not supported!");
}

video.addEventListener('play', function() {
  console.log("hello");

  // disable the play button for now
  //hls.currentLevel=-1;
  //hls.startLoad(startPosition=-1);
}, {once: true});
</script>

<div id="click">.</div>
</body>
</html>
